using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using FederatedScaleOutDatabases.DomainModel;

namespace FederatedScaleOutDatabases.Interfaces
{
    public interface IFederationResolutionStrategy<T>
    {
        IEnumerable<FederatedDatabase> GetFederatedDatabase(T entity);
        IEnumerable<FederatedDatabase> GetFederatedDatabases(Expression<Func<T, bool>> predicateForQuery);
    }
}
